import React from 'react'
import CardActionArea, {
  CardActionAreaProps,
} from '@material-ui/core/CardActionArea'
import CardContent from '@material-ui/core/CardContent'
import { withStyles } from '@material-ui/core/styles'

const CardBase = withStyles({
  root: {
    // background: 'var(--darkLight)',
    border: '1px solid var(--textDark)',
    boxSizing: 'border-box',
    // boxShadow: '0px 4px 16px',
    borderRadius: '4px',
    width: '100hv',
    margin: '1.25rem 0',
  },
})(CardActionArea)

type StyledBorderCardProps = CardActionAreaProps

const StyledBorderCard: React.ComponentType<StyledBorderCardProps> = ({
  ...props
}: StyledBorderCardProps) => {
  return (
    <CardBase {...props}>
      <CardContent>{props.children}</CardContent>
    </CardBase>
  )
}

export default StyledBorderCard
